# @contact
# http://www.atcontactcom.com/
# based on text of their FCC application, filed 22 December 1997.
# Orbital characteristic in section 4.2.
#
# this script for SaVi 1.2, by Lloyd Wood (L.Wood@surrey.ac.uk)
# http://www.ee.surrey.ac.uk/Personal/L.Wood/software/SaVi/
#
# $Id: atcontact.tcl,v 1.4 2004/12/26 14:47:19 lloydwood Exp $

# site says 16 operational satellites and four spares, one per plane.
set SATS_PER_PLANE 4
set NUM_PLANES 4

# setup orbital elements
set a [expr 10400.0+$RADIUS_OF_EARTH]
set e 0.001
set inc 45
set omega 0.0

set coverage_angle 20.0

set T_per [expr 2 * $PI * pow($a,1.5) / sqrt($MU)]

satellites GV_BEGIN
for {set j 0} {$j < $NUM_PLANES} {incr j} {
	# 90 degrees between planes.
	set Omega [expr $j * 360.0 / $NUM_PLANES]

	# satellite phasing relative to adjacent plane of 22.5 deg.
	# harmonic factor in Ballard constellations
	# 360 / 4 / 4 = 360 / 16 = 22.5 degrees.
	set plane_offset [expr 360.0 / $NUM_PLANES / $SATS_PER_PLANE * ($j%4)]

	for {set i 0} {$i < $SATS_PER_PLANE} {incr i} {
		set T [expr $T_per * $i / $SATS_PER_PLANE + $plane_offset ]
		satellites LOAD $a $e $inc $Omega $omega $T
	}
}
satellites GV_END
